# $Revision: 1.35 $, $Date: 2007-12-09 15:40:52 $
Summary:	Python-powered template engine and code-generator
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python-cheetah
Version:	2.0.1
Release:	1
License:	Python
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/cheetahtemplate/Cheetah-%{version}.tar.gz
# Source0-md5:	7845a2950ea850a13c488a26b61ac50a
URL:		http://www.cheetahtemplate.org/
BuildRequires:	python >= 2.2.1
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-setuptools >= 0.6-0.a9.1
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python-powered template engine and code-generator.

%description -l pl.UTF-8
System szablonów dla języka Python.

%prep
%setup -q -n Cheetah-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
export CHEETAH_USE_SETUPTOOLS=1
python setup.py install \
	--single-version-externally-managed \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitedir}/Cheetah
%dir %{py_sitedir}/Cheetah/Macros
%dir %{py_sitedir}/Cheetah/Templates
%dir %{py_sitedir}/Cheetah/Tests
%dir %{py_sitedir}/Cheetah/Tools
%dir %{py_sitedir}/Cheetah/Utils
%dir %{py_sitedir}/Cheetah/Utils/optik

%{py_sitedir}/Cheetah/*.py[oc]
%{py_sitedir}/Cheetah/*.so
%{py_sitedir}/Cheetah/Macros/*.py[oc]
%{py_sitedir}/Cheetah/Templates/*.py[oc]
%{py_sitedir}/Cheetah/Templates/*.tmpl
%{py_sitedir}/Cheetah/Tests/*.py[oc]
%{py_sitedir}/Cheetah/Tools/*.py[oc]
%{py_sitedir}/Cheetah/Tools/*.txt
%{py_sitedir}/Cheetah/Utils/*.py[oc]
%{py_sitedir}/Cheetah/Utils/optik/*.py[oc]
%{py_sitedir}/Cheetah-*.egg-info

%attr(755,root,root) %{_bindir}/cheetah
%attr(755,root,root) %{_bindir}/cheetah-compile


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cheetah.spec,v $
Revision 1.35  2007-12-09 15:40:52  glen
- rel 1

Revision 1.34  2007-12-09 12:07:31  glen
- update to 2.0.1

Revision 1.33  2007-04-05 21:35:56  megabajt
- fix %files section
- release 4

Revision 1.32  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.30  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.29  2006/04/16 20:32:05  qboosh
- tab

Revision 1.28  2006/04/16 19:25:55  radzio
- BR: python-setuptools (can we use release numbers in BRs?)

Revision 1.27  2006/04/16 19:16:35  radzio
- add Patch0 to use setuptools (needed by python-PasteScript.spec)

Revision 1.26  2006/01/03 21:24:43  qboosh
- unified sf URL

Revision 1.25  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.24  2005/12/19 22:15:20  qboosh
- typo

Revision 1.23  2005/12/19 21:53:57  arekm
- up to 1.0

Revision 1.22  2005/10/24 23:02:48  czucz
- updated to 0.9.18

Revision 1.21  2005/07/05 16:09:44  jpc
- up to 0.9.17

Revision 1.20  2005/05/19 20:53:24  glen
- TODO security

Revision 1.19  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.18  2005/02/20 00:16:30  jpc
- up to 0.9.16a2 (with many critical features)
- STBR

Revision 1.17  2004/12/23 21:33:10  saq
- release 6 for rebuild with python 2.4

Revision 1.16  2004/08/19 10:47:06  undefine
- release 5

Revision 1.15  2004/08/18 02:04:58  matkor
- Version 0.9.15-4.

Revision 1.14  2004/07/28 08:03:15  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.13  2004/07/25 16:36:11  zboczuch
- cleanups

Revision 1.12  2003/12/01 23:41:13  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.11  2003/09/25 09:10:30  wiget
- release 2

Revision 1.10  2003/07/25 14:36:58  blues
- if RA-branch has release 1 - here should be (at least) 1 too

Revision 1.9  2003/07/25 13:04:50  matkor
- Added missing dirs.

Revision 1.8  2003/07/25 11:37:03  matkor
- Version 0.9.15. Not tested. Added binaries. Directory structure change.

Revision 1.7  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/14 22:59:48  matkor
- Added missing bin files (needed in tutorial /tests...).

Revision 1.4  2002/08/20 08:32:42  kloczek
- release 2.

Revision 1.3  2002/08/18 11:15:40  blues
- license fix

Revision 1.2  2002/07/17 22:43:26  qboosh
- typo, new %doc

Revision 1.1  2002/07/17 14:09:27  kura
- new package: Python-powered template engine and code-generator
